# Glossary

#### Holding

An asset (the term is used generically, but also includes liabilities) within an entity on a business date.&#x20;

#### Entity

An entity is an object which contains holdings of one or more assets. All Sesame Data requires an entity. For example, a holding is a position in an asset on date, *within an entity.* Transactions are also recognised as being for an asset, which is within an entity. \
\
An entity can either be a `Portfolio` or a `Vehicle`. A portfolio contains a collection of holdings from a single custodian. A vehicle is an aggregation of the holdings and transactions one of or more portfolios. Most `Custodial` use cases require data per portfolio (that is, per custodian), while `Enterprise` use cases typically require data at a vehicle (or consolidated) level. &#x20;

#### Date Publication

A holdings date for which data which is ready for retrieval from the different endpoints is `Published` data. In order to be `Published`, after receipt, data is standardised and then run through the Sesame `Pipeline`. Once this is complete, the data will be available via the the various endpoints. To understand the status of a particular date, the `entityDates` endpoint can be used.&#x20;

#### Pipeline

All data must flow through the Sesame `Pipeline` before being available in the various endpoints. The Pipeline performs various operations including data integrity checks, consolidations as well as risk and performance computations. Data must have the Pipeline status of `Ready` before it can be requested from an endpoint. You can see this status, as well as when an entity was published in the `entityDates` endpoint. &#x20;

#### Usage of accountCode output field

The output field `accountCode` is a legacy field which contains the same information as `entityId`. It will be deprecated ultimately, but for now remains available to support backward compatibility.&#x20;

#### AssetId

A distinct id per asset (or liability). You can use this in conjunction with asset name and ISIN to map  assets to objects in your own software or system.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.landytech.com/faq-and-troubleshooting/glossary.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
